<?
	/** Strona wyświetlająca tabele zadań w danym przedmiocie (dla wykładowcy i operatora)
	* @author Dariusz Działak
	* @package XPWykladowca
	*/
	if (($sess->isLoged("Wykl")) || ($sess->isLoged("Oper"))) {
		if ($sess->get(W_Pzadania)) {
			echo "<H2>Zadania do wybranych zajęć</H2>\n";
			$tab = new CTable(4, "ttable", "cellspacing=0");
			$tab->addField("Nr zad", "thead", "width='10%'");
			$tab->addField("edycja zadania", "thead", "width='30%'");
			$tab->addField("autor zadania", "thead", "width='30%'");
			$tab->addField("link do zadania", "thead", "width='30%'");
			$parity = "even";
			foreach($sess->get("W_Pzadania") as $key => $value){
				$link = new Clink("W_edyt_zad", "W_edyt_zad");
				$link->addParam(zadanie, $key);
				$link->addParam(url, $value[3]);
				$link->addParam(autor, $value[4]);
				$tab->addField($link->get($value[1]), "T$parity");
				$tab->addField($link->get($value[2]), $parity);
				$tab->addField($value[4], "T$parity");
				if (substr($value[3], 0, 4)!="http")
					$tab->addField("<A href='http://$value[3]'>$value[3]</a>", $parity);
				else
					$tab->addField("<A href='$value[3]'>$value[3]</a>", $parity);
				if ($parity=="even") $parity="odd";
				else $parity="even";
			}
			$form = new CForm();
			$tab->addField($form->xpage("W_edyt_zad"));
			$tab->addField($form->inputText(submit, submit, "value='dodaj nowe zadanie'"));
			$tab->addField($form->xexepage("W_nowe_zad"));
			$tab->close();
			$form->close();
		} else
			echo "<H2> Nie znaleziono zadań przypisanych do wybranych zajęć </H2>\n";
	}
?>
